# Asterisk Project : Asterisk 13 Function_SIPPEER

Created by wikibot on Aug 08, 2014

# SIPPEER()

### Synopsis

Gets SIP peer information.

### Description

### Syntax

    SIPPEER(peername,item)

##### Arguments

- `peername`
- `item`
  - `ip` - (default) The IP address.
  - `port` - The port number.
  - `mailbox` - The configured mailbox.
  - `context` - The configured context.
  - `expire` - The epoch time of the next expire.
  - `dynamic` - Is it dynamic? (yes/no).
  - `callerid_name` - The configured Caller ID name.
  - `callerid_num` - The configured Caller ID number.
  - `callgroup` - The configured Callgroup.
  - `pickupgroup` - The configured Pickupgroup.
  - `namedcallgroup` - The configured Named Callgroup.
  - `namedpickupgroup` - The configured Named Pickupgroup.
  - `codecs` - The configured codecs.
  - `status` - Status (if qualify=yes).
  - `regexten` - Extension activated at registration.
  - `limit` - Call limit (call-limit).
  - `busylevel` - Configured call level for signalling busy.
  - `curcalls` - Current amount of calls. Only available if call-limit is set.
  - `language` - Default language for peer.
  - `accountcode` - Account code for this peer.
  - `useragent` - Current user agent header used by peer.
  - `maxforwards` - The value used for SIP loop prevention in outbound requests
  - `chanvarname` - A channel variable configured with setvar for this peer.
  - `codecx` - Preferred codec index number x (beginning with zero).

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538